[arch-commits] Commit in ghc/trunk (PKGBUILD)

Vesa Kaihlavirta vesa at archlinux.org
Thu Aug 7 09:01:58 EDT 2008


    Date: Thursday, August 7, 2008 @ 09:01:57
  Author: vesa
Revision: 8147

have to autoreconf after patching network.build.in

Modified:
  ghc/trunk/PKGBUILD

----------+
 PKGBUILD |    5 +++++
 1 file changed, 5 insertions(+)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-07 05:27:05 UTC (rev 8146)
+++ PKGBUILD	2008-08-07 13:01:57 UTC (rev 8147)
@@ -21,7 +21,12 @@
   #installer automatically bootstraps itself, so this actually compiles twice
   #In order to compile, you need ghc installed on your system
   cd $startdir/src/$pkgname-$pkgver
+
+  # http://hackage.haskell.org/trac/ghc/ticket/2314
   patch -p1 -i ../network.patch || return 1
+  cd libraries/network && autoreconf || return 1
+  cd - 
+
   ./configure --prefix=/usr
   make -j1 || return 1
   make DESTDIR=$startdir/pkg install




More information about the arch-commits mailing list